module globals

  implicit none

  integer, parameter :: lay = 51  ! 層分割数    
  real(8), save :: g              ! 大気の重力加速度     
  real(8), save :: height         ! 大気の高さ     
  real(8), save :: sheight        ! 大気のスケールハイト     
  real(8), save :: theta          ! 入射角    
  real(8), save :: mu             ! 入射角の余弦   
  real(8), save :: pi            
  real(8), save :: sigma          ! ステファン・ボルツマン定数      
  real(8), save :: h              ! プランク定数
  real(8), save :: c              ! 光速
  real(8), save :: kap            ! ボルツマン定数
  real(8), save :: fg             ! 地面における放射フラックス     
  real(8), save :: ft             ! 大気上端における放射フラックス
  real(8), save :: dz             ! 層の高度差
  real(8), save :: rhoabs         ! 地表面における吸収気体の密度
  real(8), save :: cp             ! 定圧比熱
  real(8), save :: rhos           ! 地表面における大気の密度
  real(8), save :: dl             ! 波長の微小変位
  real(8), save :: dt             ! 変化する時間
 
end module globals
